---
inputType: CA10__CaAzureVirtualMachine__c
importExtracts:
  - file: /types/CA10__CaAzureVirtualMachine__c/breeze.extracts.yaml
testData:
  - file: ../test-data-ca10.json
conditions:
  - status: INCOMPLIANT
    currentStateMessage: Virtual machine never had breeze agent installed
    remediationMessage: Install breeze agent on the virtual machine
    check:
      IS_EMPTY:
        arg:
          EXTRACT: breezeLastUpdate
  - status: INCOMPLIANT
    currentStateMessage: Virtual machine latest breeze report was more than a day ago
    remediationMessage: Re-install breeze agent on the virtual machine and make sure it is reporting
    check:
      IS_BEYOND_LAST_DAYS:
        offsetDays: 1
        arg:
          EXTRACT: breezeLastUpdate
otherwise:
  status: COMPLIANT
  currentStateMessage: Virtual machine has breeze agent installed and has a recent report
